normalize.hh File Reference
`#include <cmath>`
`#include <iostream>`
`#include <memory>`
`#include <mia/core/filter.hh>`
`#include <mia/core/msgstream.hh>`
Include dependency graph for normalize.hh:

Go to the source code of this file.

## Functions

template<class Image>
std::shared_ptr< Image > | normalize (const Image &image)
| a normalizer for image intensities

## Function Documentation

## normalize()

template<class Image>

std::shared_ptr< Image > normalize | ( | const Image & | image | ) |

a normalizer for image intensities

The intensities of the input image are normalized to have a zero mean and a deviation of one. The output image is of the same dimensions as the input image and has pixel type float.

Template Parameters

  Image | the image type

Parameters

  image | the input image

Returns
  the normalized image

Definition at line 135 of file normalize.hh.

Referenced by C2DPerfusionAnalysis::C2DPerfusionAnalysis(), C2DSplineTransformPenalty::C2DSplineTransformPenalty(), C2DSplineTransformPenaltyPlugin::C2DSplineTransformPenaltyPlugin(), C3DSplineTransformPenalty::C3DSplineTransformPenalty(), and C3DSplineTransformPenaltyPlugin::C3DSplineTransformPenaltyPlugin().